<template>
<view class="verify" style="margin-bottom:40px">
<view class="password-box">
  <view class='password-wrapper'>
    <!-- 伪装的input -->
    <block v-for="(item,index) in inputList" :key="index" focus="inputFocus" @input="_setCurrentValue($event)">
      <!-- 宽高可以由外部指定 -->
      <input type="number" :value="currentValue" maxlength="6" >
      <view class="password-item" :style="{width: item.inputWidth,height: item.inputHeight}" @click='_focusInput(index)'>
        <view  class="show " >{{currentValue.length>=index+1?currentValue[index]:''}}</view>
      </view>
    </block>
  </view>
  <!-- 隐藏的输入框 -->
  <!-- <view  class="show">{{currentValue}}</view> -->
   <!-- :class="{'input-focus' : inputFocus}" -->
  <div >
     <!-- <input type="number" :value="currentValue"  maxlength="6" focus="inputFocus"  @input="_setCurrentValue($event)"  class='hidden-input' :style="{marginLeft:num+'rpx'}"/> -->
  </div>
  
  <!-- </input> -->
  </view>
</view>
</template>

<script type="text/ecmascript-6">
  // ic-common-forward
  import config from '@/config'
  // import store from '@/store'
  export default {
    data(){
      return{
            model:'',
            num:'',
           // input是否获取焦点
            inputFocus: false,
            // 初始input值为空
            currentValue: '',
           // 输入框的数量
            inputList: [
                {
                type: Number,
                value: 6,
                inputWidth:'80rpx',
                inputHeight:'74rpx',
                showValue:false

                },
                {
                type: Number,
                value: 6,
                inputWidth:'80rpx',
                inputHeight:'74rpx',
                showValue:false

                },
                {
                type: Number,
                value: 6,
                inputWidth:'80rpx',
                inputHeight:'74rpx',
                showValue:false

                },
                {
                type: Number,
                value: 6,
                inputWidth:'80rpx',
                inputHeight:'74rpx',
                showValue:false

                },
                {
                type: Number,
                value: 6,
                inputWidth:'80rpx',
                inputHeight:'74rpx',
                showValue:false

                },
                {
                type: Number,
                value: 6,
                inputWidth:'80rpx',
                inputHeight:'74rpx',
                showValue:false

                },
                

            ]
      }
    },
    props:{
      
    },
    computed:{
      
    },
    methods:{
            // 设置当前的值
        _setCurrentValue(data,item) {
          let that = this;
          console.log('value',data.mp.detail.value); 
        // 在此处判断满6（inputLength）位，把值返回给上级父组件或页面
        let currentValue = data.mp.detail.value;
        // for(var i=1;i<currentValue.length;i++){
        //   this.num = 170+(currentValue.length-1)*35;
        //   console.log('num',this.num);
        // }
        
        if(that.model === 'iPhone 5'){
          console.log('iphone5');
           if(currentValue.length ===1){
              this.num = 170;
            }
            if(currentValue.length ===2){
              this.num = 240;
            }
            if(currentValue.length ===3){
              this.num = 290;
            }
            if(currentValue.length ===4){
              this.num = 350;
            }
            if(currentValue.length ===5){
              this.num = 400;
            }
            if(currentValue.length ===6){
              this.num = 450;
            }

          }else{
            if(currentValue.length ===1){
              this.num = 170;
            }
            if(currentValue.length ===2){
              this.num = 240;
            }
            if(currentValue.length ===3){
              this.num = 300;
            }
            if(currentValue.length ===4){
              this.num = 365;
            }
            if(currentValue.length ===5){
              this.num = 420;
            }
            if(currentValue.length ===6){
              this.num = 480;
            }

          }
         
        // 改变时，派发一个事件，如果父组件或页面中需要实时获取改变后的值，可以监听这个事件。
        //this.triggerEvent('change', data.mp.detail.value)
        this.currentValue = currentValue;
            if (currentValue.length >= this.inputList.length) {
                this._complate();
                return;
            }
        },
        // 点击伪装的input时，让隐藏的input获得焦点
        _focusInput(index) {
            let that = this;
            this.inputFocus = true;
            
        },
        _complate() {
        // this.triggerEvent('inputComplate', this.currentValue)
        },
        // 提供给外部调用的方法，显示/隐藏密码。接收一个参数，可以显性修改展示的状态。
        toggleValue(state) {
            this.showValue = state != undefined ? state: !this.data.showValue;
        },
        // 清除input当前的值
        clearCurrentValue() {
            this.currentValue = '';
        },
    


    
  },
  onLoad(){
    let that = this;
    wx.getSystemInfo({
        success: function(res) {
          console.log(res);
          that.model = res.model;
          
          

        } })
  }
  }
</script>
<style lang="scss" type="text/scss" scoped>
.input-focus {
width: 200%;
}
.password-box .password-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
}
.password-box .password-item {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  z-index: 999;
  background: #fff;

}
.password-box .password-item::after {
  display: block;
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  border: 1px solid #999;
  box-sizing: border-box;
  width: 200%;
  height: 200%;
  border-radius: 0rpx;
  transform: scale(0.5);
  transform-origin: left top;
}
.password-box .password-item + .password-item {
  margin-left: -1rpx;
}
.password-box .password-wrapper .hidden {
  width: 14rpx;
  height: 14rpx;
  border-radius: 50%;
  background: #999;
}
.password-box .password-wrapper .show {
  color: #087b46;
}
// width: 0;
//   height: 0;
//   min-height: 0;
.password-box .hidden-input {
  
}
.cursor {
  width: 2rpx;
  height: 36rpx;
  background-color: #0c8;
  animation: focus 1.2s infinite;
}
@keyframes focus {
  from {
    opacity: 1;
  }

  to {
    opacity: 0;
  }
}
input{
  margin-left: 170rpx;
margin-top: -60rpx;
z-index: 999;
position: relative;
opacity: 0;
  z-index: 999;
  outline: none;
  border: none;
  color: transparent;
  text-shadow: 0px 0px 0px #333;
  caret-color: transparent;

}
.indexTopInput {
position: absolute;
color: transparent;
height: 100%;
opacity: 0;
z-index: 100;
left: 0rpx;
}
  
</style>